function Yr = DateToYr(date,n)
% Yr = DateToYr(date,n): Converts calender Date to fractional year
%
ser = datenuml(date(1),date(2),date(3));
serbeg = datenuml(date(1),1,1);
% See if year and therefore how many days in year
if mod(date(1),4) == 0 & mod(date(1),100) ~= 0 |  mod(date(1),400 )== 0
    loy = 366;
else
    loy = 365;
end
Yr = date(1)+(ser-serbeg)/loy;

if n >= 4, Yr = Yr + date(4)/(24*loy); end
if n >= 5, Yr = Yr + date(5)/(60*24*loy); end
if n >= 6, Yr = Yr + date(6)/(60*60*24*loy); end
