function [dn, de] = GenArrowHead(ahead)
% [dn, de] = GenArrowHead(ahead) Generates the arrow head sizes
%
% Returns the size of arrow head and error cross beam to be plotted
% Current settings: ['None  ';'0.5 mm';'1.0 mm';'1.5 mm';'2.0 mm';'3.0 mm'], ...
dn = 0; de = 0;
if ahead == 2, dn=0.5; 
elseif ahead == 3, dn=1.0;
elseif ahead == 4, dn=1.5;
elseif ahead == 5, dn=2.0;
elseif ahead == 6, dn=3.0;
end
%
de = dn*0.5;
