#!/bin/csh -f
# Script to make velview 
# Make sure we have correct startup
if( ! -e velview.m ) then
   echo "No velview module. Is diretory correct?"
   exit
endif

echo "Linking mcc startup.m file"
ln -sf ~/matlab/startup_mcc.m  ~/matlab/startup.m

echo "Running mcc"
mcc -v -m -B sgl velview.m -a velgui.m VecActions.m buttonup.m ProfGUIcb.m DeleteText.m ../tsview/tsview.m ../tsview/GPSResize.m 
\cp -p velview velview.ctf velview.prj  ../bin

# Reset the startup
echo "Finishing up; relinking standard startup.m"
ln -sf ~/matlab/startup_std.m  ~/matlab/startup.m
