function [sn,cml] = VelScale(ha,lim);
% VelScale: Computes multiplier for mm to get to change in lat and long
axsize = get(ha,'Position');
ppmm = 3.5 ;  % pixels/mm on screen
% Using scales passed by user compute the vector scaling
dlat = lim(4)-lim(3);dlng = lim(2)-lim(1); 
cml = cos((lim(4)+lim(3))*pi/360);
if axsize(3)/axsize(4)*dlat/(dlng*cml) > 1
    sn(2) = dlat/axsize(4)*ppmm;
    sn(1) = sn(2)/cml;
else
    sn(1) = dlng/axsize(3)*ppmm;
    sn(2) = sn(1)*cml;
end
