/*
 * MATLAB Compiler: 4.10 (R2009a)
 * Date: Wed Jan 16 12:45:19 2013
 * Arguments: "-B" "macro_default" "-m" "-W" "main" "-T" "link:exe" "-v"
 * "velview.m" "GenArrowStr.m" "HSF.m" "ReportNum.m" "VelFigSet.m" "Wfit.m"
 * "buttonup.m" "GetLL.m" "MakeProfBox.m" "SelectProfAz.m" "velgui.m" "WMean.m"
 * "ClearHandles.m" "GetOffset.m" "SelectProfile.m" "VelRedraw.m" "Wmod.m"
 * "CloseStats.m" "GetProfPut.m" "ProfGUIcb.m" "SetArrLen.m" "VelScale.m"
 * "WriteSave.m" "CompProf.m" "getVelinf.m" "ProfGUI.m" "ShowArrow.m"
 * "VelToPlot.m" "DeleteText.m" "HghErrorBar.m" "ReadVel.m" "VecActions.m"
 * "GenArrowHead.m" "Hplot.m" "RemoveDups.m" "VecGUISet.m" "SSparse.m"
 * "SSeval.m" "../tsview/tsview.m" "../tsview/gpsgui.m" "../tsview/GPSResize.m"
 * "../tsview/UpdateBreakGUI.m" "../tsview/YrToDate.m" "../tsview/SortEns.m"
 * "../tsview/ReadENFile.m" "../tsview/datenuml.m" "../tsview/datevecl.m"
 * "../tsview/dvcorel.m" 
 */

#include <stdio.h>
#include "mclmcrrt.h"
#ifdef __cplusplus
extern "C" {
#endif

extern mclComponentData __MCC_velview_component_data;

#ifdef __cplusplus
}
#endif

static HMCRINSTANCE _mcr_inst = NULL;


#ifdef __cplusplus
extern "C" {
#endif

static int mclDefaultPrintHandler(const char *s)
{
  return mclWrite(1 /* stdout */, s, sizeof(char)*strlen(s));
}

#ifdef __cplusplus
} /* End extern "C" block */
#endif

#ifdef __cplusplus
extern "C" {
#endif

static int mclDefaultErrorHandler(const char *s)
{
  int written = 0;
  size_t len = 0;
  len = strlen(s);
  written = mclWrite(2 /* stderr */, s, sizeof(char)*len);
  if (len > 0 && s[ len-1 ] != '\n')
    written += mclWrite(2 /* stderr */, "\n", sizeof(char));
  return written;
}

#ifdef __cplusplus
} /* End extern "C" block */
#endif

/* This symbol is defined in shared libraries. Define it here
 * (to nothing) in case this isn't a shared library. 
 */
#ifndef LIB_velview_C_API 
#define LIB_velview_C_API /* No special import/export declaration */
#endif

LIB_velview_C_API 
bool MW_CALL_CONV velviewInitializeWithHandlers(
    mclOutputHandlerFcn error_handler,
    mclOutputHandlerFcn print_handler
)
{
  if (_mcr_inst != NULL)
    return true;
  if (!mclmcrInitialize())
    return false;
  if (!mclInitializeComponentInstanceWithEmbeddedCTF(&_mcr_inst,
                                                     &__MCC_velview_component_data,
                                                     true, NoObjectType,
                                                     ExeTarget, error_handler,
                                                     print_handler, 151753, (void *)(velviewInitializeWithHandlers)))
    return false;
  return true;
}

LIB_velview_C_API 
bool MW_CALL_CONV velviewInitialize(void)
{
  return velviewInitializeWithHandlers(mclDefaultErrorHandler,
                                       mclDefaultPrintHandler);
}

LIB_velview_C_API 
void MW_CALL_CONV velviewTerminate(void)
{
  if (_mcr_inst != NULL)
    mclTerminateInstance(&_mcr_inst);
}

int run_main(int argc, const char **argv)
{
  int _retval;
  /* Generate and populate the path_to_component. */
  char path_to_component[(PATH_MAX*2)+1];
  separatePathName(argv[0], path_to_component, (PATH_MAX*2)+1);
  __MCC_velview_component_data.path_to_component = path_to_component; 
  if (!velviewInitialize()) {
    return -1;
  }
  argc = mclSetCmdLineUserData(mclGetID(_mcr_inst), argc, argv);
  _retval = mclMain(_mcr_inst, argc, argv, "velview", 1);
  if (_retval == 0 /* no error */) mclWaitForFiguresToDie(NULL);
  velviewTerminate();
  mclTerminateApplication();
  return _retval;
}

int main(int argc, const char **argv)
{
  if (!mclInitializeApplication(
    __MCC_velview_component_data.runtime_options,
    __MCC_velview_component_data.runtime_option_count))
    return 0;
  
  return mclRunMain(run_main, argc, argv);
}
